package com.gensee.fastsdkdemo;

public class DemoConfig {
    private LIVEMODE livemode;
    private int watchScreenMode;//观看端屏幕全屏或分屏模式
    private static DemoConfig ins = new DemoConfig();
    private DemoConfig(){}
    public static DemoConfig getIns(){
        return ins;
    }
    /**
     * 播放模式选择
     */
    public enum LIVEMODE {
        PUBLISH(0), WATCH(1), VOD(2);
        private int value;
        LIVEMODE(int value) {
            this.value = value;
        }

        public int getValue() {
            return value;
        }
    }


    public LIVEMODE getLivemode() {
        return livemode;
    }

    public void setLivemode(LIVEMODE livemode) {
        this.livemode = livemode;
    }

    public int getWatchScreenMode() {
        return watchScreenMode;
    }

    public void setWatchScreenMode(int watchScreenMode) {
        this.watchScreenMode = watchScreenMode;
    }
}
